Subject: Re: bug#71985: Lexical directives at start of file

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Jul 2024 22:02:26 +0300

> Date: Sun, 07 Jul 2024 18:45:12 +0000
> From:  Heime via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I was curious whether the -*- lexical-binding: t -*- directive is effective 
> when there is an arbitrary number of comment characters before it.

Why do you need to know this detail?

> For instance, in file.el:
> 
> ;;; file.el -*- lexical-binding: t -*-
> 
> This is the first line from git-rebase.el in the Magit package:
> 
> ;;; git-rebase.el --- Edit Git rebase files  -*- lexical-binding:t -*-
> 
> This suggests that some characters can precede the variable list. However,
> it's unclear if the number of characters can be arbitrary.

Above you mention "comment characters".  Here you are talking only
about "characters" in general.  I'm confused by what you are asking
about.

> I couldn't find
> a clear explanation in either the Emacs or Elisp manuals. The Emacs manual 
> mentions that it can be placed on the second line of a shell script, but 
> doesn't provide much detail on the format. The Elisp manual does not describe 
> the appearance of this directive at all.

The above is incorrect.  The ELisp manual shows how this line should
look in the nose "selecting Lisp Dialect".  I think that node answers
your questions.